package com.jasamedika.medifirst2000.vo;



import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class InseminasiVO extends MedicalRecordTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "PengeluaranSpermaFk")
	@Caption(value="Pengeluaran Sperma")
	private CaraPengeluaranSpermaVO pengeluaranSperma;	
	
	@ManyToOne
	@JoinColumn(name = "ReinseminasiFk")
	@Caption(value="Reinseminasi")
	private ReinseminasiVO reinseminasi;
	
	@Column(name = "Volume")
	@Caption(value="Volume")
	private Integer volum;
	
	@Column(name = "Konsentrasi")
	@Caption(value="Konsentrasi")
	private Integer konsentrasi;
	
	@Column(name = "Motilitas1")
	@Caption(value="Motilitas 1")
	private Integer motilitas1;
	
	@Column(name = "Motilitas2", nullable = true)
	@Caption(value="Motilitas 2")
	private Integer motilitas2;
	
	@Column(name = "Motilitas3", nullable = true)
	@Caption(value="Motilitas 3")
	private Integer motilitas3;
	
	@Column(name = "Motilitas4", nullable = true)
	@Caption(value="Motilitas 4")
	private Integer motilitas4;
	
	@Column(name = "Morfologi")
	@Caption(value="Morfologi")
	private Integer morfologi;
	
	@Column(name = "KonsentrasiSesudahPreparasi")
	@Caption(value="Konsentrasi Sesudah Preparasi")
	private Integer konsentrasiSesudahPreparasi;
	
	@Column(name = "JumlahSperma")
	@Caption(value="Jumlah Sperma")
	private Integer jumlahSperma;
	
	@Column(name = "Volume")
	@Caption(value="Volume")
	private Integer volume;
	
	@Column(name = "Tanggal", nullable = true )
	@Caption(value="Tanggal")
	private Date tanggal;
	
	@Column(name = "Catatan")
	@Caption(value="Catatan")
	private String catatan;

	public CaraPengeluaranSpermaVO getPengeluaranSperma() {
		return pengeluaranSperma;
	}

	public void setPengeluaranSperma(CaraPengeluaranSpermaVO pengeluaranSperma) {
		this.pengeluaranSperma = pengeluaranSperma;
	}

	public ReinseminasiVO getReinseminasi() {
		return reinseminasi;
	}

	public void setReinseminasi(ReinseminasiVO reinseminasi) {
		this.reinseminasi = reinseminasi;
	}

	public Integer getVolum() {
		return volum;
	}

	public void setVolum(Integer volum) {
		this.volum = volum;
	}

	public Integer getKonsentrasi() {
		return konsentrasi;
	}

	public void setKonsentrasi(Integer konsentrasi) {
		this.konsentrasi = konsentrasi;
	}

	public Integer getMotilitas1() {
		return motilitas1;
	}

	public void setMotilitas1(Integer motilitas1) {
		this.motilitas1 = motilitas1;
	}

	public Integer getMotilitas2() {
		return motilitas2;
	}

	public void setMotilitas2(Integer motilitas2) {
		this.motilitas2 = motilitas2;
	}

	public Integer getMotilitas3() {
		return motilitas3;
	}

	public void setMotilitas3(Integer motilitas3) {
		this.motilitas3 = motilitas3;
	}

	public Integer getMotilitas4() {
		return motilitas4;
	}

	public void setMotilitas4(Integer motilitas4) {
		this.motilitas4 = motilitas4;
	}

	public Integer getMorfologi() {
		return morfologi;
	}

	public void setMorfologi(Integer morfologi) {
		this.morfologi = morfologi;
	}

	public Integer getKonsentrasiSesudahPreparasi() {
		return konsentrasiSesudahPreparasi;
	}

	public void setKonsentrasiSesudahPreparasi(Integer konsentrasiSesudahPreparasi) {
		this.konsentrasiSesudahPreparasi = konsentrasiSesudahPreparasi;
	}

	public Integer getJumlahSperma() {
		return jumlahSperma;
	}

	public void setJumlahSperma(Integer jumlahSperma) {
		this.jumlahSperma = jumlahSperma;
	}

	public Integer getVolume() {
		return volume;
	}

	public void setVolume(Integer volume) {
		this.volume = volume;
	}

	
	public String getCatatan() {
		return catatan;
	}

	public void setCatatan(String catatan) {
		this.catatan = catatan;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}
	

}
